FLANG

Public Member Functions | List of all members
Fortran::evaluate::IntrinsicProcTable::Implementation Class Reference

## Public Member Functions
| Implementation (const common::IntrinsicTypeDefaultKinds &dfts)
bool | IsIntrinsic (const std::string &) const
IntrinsicClass | GetIntrinsicClass (const std::string &) const
std::optional< SpecificCall > | Probe (const CallCharacteristics &, ActualArguments &, FoldingContext &, const IntrinsicProcTable &) const
std::optional< SpecificIntrinsicFunctionInterface > | IsSpecificIntrinsicFunction (const std::string &) const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

The documentation for this class was generated from the following file:

- lib/Evaluate/intrinsics.cpp